# formatter.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file formatter.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_debug

## Classes

- struct __gnu_debug::__is_same< _Type1, _Type2 >
- struct __gnu_debug::__is_same< _Type, _Type >
- struct __gnu_debug::__truth<>
- class __gnu_debug::_Error_formatter

## Defines

- #define _GLIBCXX_DEBUG_FORMATTER_H

## Enumerations

- enum __gnu_debug::_Debug_msg_id {
  __msg_valid_range, __msg_insert_singular, __msg_insert_different, __msg_erase_bad,
  __msg_erase_different, __msg_subscript_oob, __msg_empty, __msg_unpartitioned,
  __msg_unpartitioned_pred, __msg_unsorted, __msg_unsorted_pred, __msg_not_heap,
  __msg_not_heap_pred, __msg_bad_bitset_write, __msg_bad_bitset_read, __msg_bad_bitset_flip,
  __msg_self_splice, __msg_splice_alloc, __msg_splice_bad, __msg_splice_other,
  __msg_splice_overlap, __msg_init_singular, __msg_init_copy_singular, __msg_init_const_singular,
  __msg_copy_singular, __msg_bad_deref, __msg_bad_inc, __msg_bad_dec,
  __msg_iter_subscript_oob, __msg_advance_oob, __msg_retreat_oob, __msg_iter_compare_bad,
  __msg_compare_different, __msg_iter_order_bad, __msg_order_different, __msg_distance_bad,
  __msg_distance_different, __msg_deref_istream, __msg_inc_istream, __msg_output_ostream,
  __msg_deref_istreambuf, __msg_inc_istreambuf
  }